﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data2\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!System.IO.Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    System.IO.Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
           
            SwapBookmark();

        }

        static void SwapBookmark()
        {
            //Loads the PDF document.
            PdfLoadedDocument document = new PdfLoadedDocument(DataPathOutput + "Output.pdf");

            //Gets all the bookmarks.
            PdfBookmarkBase bookmarks = document.Bookmarks;



            //Gets the first two bookmark and its Title.
            PdfLoadedBookmark bookmark1 = bookmarks[0] as PdfLoadedBookmark;
            string title1 = bookmark1.Title;

            PdfLoadedBookmark bookmark2 = bookmarks[1] as PdfLoadedBookmark;
            string title2 = bookmark2.Title;

            //Swapping the title name of the first two bookmarks
            bookmark1.Title = title2;
            bookmark2.Title = title1;

            //Saves the document

            document.Save(DataPathOutput+"modified.pdf");

            document.Close(true);
            System.Diagnostics.Process.Start(System.IO.Path.Combine(DataPathOutput, "modified.pdf"));

        }

     
    }
}
